/*
 * Copyright (C) 2013 Darth Affe <http://wyrez.org> and contributors
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package org.wyrez.shootingstars.helper;

import com.jme3.math.FastMath;
import com.jme3.math.Vector2f;
import com.jme3.math.Vector3f;

/**
 *
 * @author Darth Affe
 */
public class MathHelper {

    public static Vector3f calcPointOnCircle(float radian, float radius, float y) {
        return new Vector3f(FastMath.cos(radian) * radius, y, FastMath.sin(radian) * radius);
    }

    public static Vector2f calcPointOnCircle(float radian, float radius) {
        return new Vector2f(FastMath.cos(radian) * radius, FastMath.sin(radian) * radius);
    }

    public static float radianToDegree(float radian) {
        return radian * FastMath.RAD_TO_DEG;
    }

    public static float degreeToRadian(float degree) {
        return degree * FastMath.DEG_TO_RAD;
    }
}
